Bug 1402995 - do not render service start/stop buttons (and status field?) if start and stop actions are missing
Summary: do not render service start/stop buttons (and status field?) if start and sto...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Drew Bomhof
QA Contact: Leo Khomenko
URL:
Whiteboard: ssui:power
: 1405055 (view as bug list)
Depends On: 1394202
Blocks: 1405055
TreeView+ depends on / blocked
 
Reported: 2016-12-08 20:29 UTC by Satoe Imaishi
Modified: 2017-05-01 17:43 UTC (History)
14 users (show)

Fixed In Version: 5.7.2.0
Doc Type: Known Issue
Doc Text:
Currently, power operations performed through the Service User Interface work for services created from catalog bundles, but will not work for services created from a single catalog item.
Clone Of: 1394202
Environment:
Last Closed: 2017-04-12 14:33:48 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 6 Dave Johnson 2016-12-16 04:16:16 UTC
Leo, Satoe is right, if you are re-opening, please move it back to ON_DEV or ASSIGNED. 

Drew, in terms of the empty state, look at the screenshot attachment.  The is no power state value in the field.  Leo, please confirm that is what you mean.

Leo, please confirm happy path of all VMs in the same state, does the power button work correctly up and down (with a correct field value).  And then confirm if we have an issue when multiple VMs get into separate power state thereby confusing the app (which would most likely be a separate BZ).

Comment 8 Aparna Karve 2016-12-16 16:38:46 UTC
*** Bug 1405055 has been marked as a duplicate of this bug. ***

Comment 11 Drew Bomhof 2016-12-20 14:38:20 UTC
The PR from comment 9 is really a PR for the upstream BZ - https://bugzilla.redhat.com/show_bug.cgi?id=1394202

Comment 13 CFME Bot 2017-01-23 23:20:45 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a5486c586099a8312e5ac8dddd4969b3980e5b99

commit a5486c586099a8312e5ac8dddd4969b3980e5b99
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jan 23 16:59:02 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 23 18:15:34 2017 -0500

    Merge pull request #13232 from syncrou/assume_when_all_nil_actions
    
    Allow a service power state to correctly handle nil actions
    (cherry picked from commit 656bbc8e32f9b2d8a64d2e998350fb6f73b75a14)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1402995

 app/models/service.rb       | 34 +++++++++++++++++----
 spec/models/service_spec.rb | 74 +++++++++++++++++++++++++++++++++++++++------
 2 files changed, 92 insertions(+), 16 deletions(-)

Comment 18 Drew Bomhof 2017-01-26 15:08:53 UTC
It is the expected behavior - though - There is another PR - https://github.com/ManageIQ/manageiq-ui-service/pull/406 That once implemented (see: https://github.com/ManageIQ/manageiq-ui-service/pull/406#issuecomment-271744784) will speed up the power_status without requiring the extra reload (or navigation back into the service details page.)

Comment 19 Drew Bomhof 2017-02-06 16:59:07 UTC
Backport PR - https://github.com/ManageIQ/manageiq-ui-service/pull/493

Comment 23 errata-xmlrpc 2017-04-12 14:33:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.